> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assignees

> Returns a list of assignee users for the specified brands. Requires multi-brand inbox permission when querying multiple brands.



## OpenAPI

````yaml api-reference/community-openapi.json GET /assignees
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /assignees:
    get:
      tags:
        - Community Interactions
      summary: Get assignees
      description: >-
        Returns a list of assignee users for the specified brands. Requires
        multi-brand inbox permission when querying multiple brands.
      parameters:
        - description: List of brand IDs to fetch assignees for
          explode: false
          in: query
          name: brand_ids
          required: true
          schema:
            items:
              type: integer
            type: array
          style: form
        - description: List of organization IDs to fetch assignees for
          explode: false
          in: query
          name: organization_ids
          required: false
          schema:
            items:
              type: integer
            type: array
          style: form
        - description: Start date for filtering assignees
          in: query
          name: source_updated_after
          required: false
          schema:
            format: date-time
            type: string
        - description: End date for filtering assignees
          in: query
          name: source_updated_before
          required: false
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AssigneeUser'
                type: array
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    AssigneeUser:
      additionalProperties: false
      properties:
        accessible_brands:
          description: The list of brands the user is part of
          items:
            type: integer
          nullable: true
          type: array
        avatar_url:
          description: The user's avatar url.
          format: url
          nullable: true
          type: string
        email:
          description: The user's email.
          type: string
        first_name:
          description: The user's first name.
          nullable: true
          type: string
        id:
          description: The user ID.
          type: integer
        last_name:
          description: The user's last name.
          nullable: true
          type: string
      required:
        - accessible_brands
        - email
        - first_name
        - id
        - last_name
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````